## pgauditlogtofile 1.4

=== Makefile ===
# pgauditlogtofile/Makefile

MODULE_big = pgauditlogtofile
OBJS = pgauditlogtofile.o logtofile.o

EXTENSION = pgauditlogtofile
DATA = pgauditlogtofile--1.0.sql pgauditlogtofile--1.0--1.2.sql pgauditlogtofile--1.2--1.3.sql pgauditlogtofile--1.3--1.4.sql
PGFILEDESC = "pgAuditLogToFile - An addon for pgAudit logging extension for PostgreSQL"

PG_LDFLAGS = -lz

PG_CONFIG = pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)

=== debian/changelog ===
pgauditlogtofile (1.4-2) unstable; urgency=medium

  * debian/control, debian/control.in: Removed pgaudit from Build-Depends.

 -- Michael Banck <michael.banck@credativ.de>  Sun, 30 Jan 2022 22:12:40 +0100

pgauditlogtofile (1.4-1) unstable; urgency=medium

  * Initial release.

 -- Michael Banck <michael.banck@credativ.de>  Sun, 23 Jan 2022 11:12:55 +0100

=== debian/control ===
Source: pgauditlogtofile
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders: Michael Banck <michael.banck@credativ.de>
Build-Depends:
 debhelper-compat (= 13),
 libkrb5-dev,
 postgresql-all (>= 217~),
 zlib1g-dev | libz-dev
Standards-Version: 4.5.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/postgresql/pgauditlogtofile
Vcs-Git: https://salsa.debian.org/postgresql/pgauditlogtofile.git -b master
Homepage: https://github.com/fmbiete/pgauditlogtofile

Package: postgresql-14-pgauditlogtofile
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-14,
 postgresql-14-pgaudit
Description: PostgreSQL pgAudit Add-On to redirect audit logs
 pgAudit Log to File is an addon to pgAudit than will redirect audit log lines
 to an independent file, instead of using PostgreSQL server logger.
 .
 This allows to have an audit file that we can easily rotate without polluting
 server logs with those messages.
 . 
 Audit logs in heavily used systems can grow very fast. This extension allows
 to automatically rotate the files.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with pgxs

override_dh_installdocs:
	dh_installdocs --all README.*

=== debian/watch ===
version=3
https://github.com/fmbiete/pgauditlogtofile/releases .*/archive/refs/tags/v(.*).tar.gz

## pgauditlogtofile 1.5.1~20220624.1048-1~2.git142c1da.pgdg21.10+1

=== Makefile ===
# pgauditlogtofile/Makefile

MODULE_big = pgauditlogtofile
OBJS = pgauditlogtofile.o logtofile.o
REGRESS = logtofile

EXTENSION = pgauditlogtofile
DATA = pgauditlogtofile--1.0.sql pgauditlogtofile--1.0--1.2.sql pgauditlogtofile--1.2--1.3.sql pgauditlogtofile--1.3--1.4.sql pgauditlogtofile--1.4--1.5.sql
PGFILEDESC = "pgAuditLogToFile - An addon for pgAudit logging extension for PostgreSQL"

PG_LDFLAGS = -lz

PG_CONFIG = pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)

=== debian/changelog ===
pgauditlogtofile (1.5.1~20220624.1048-1~2.git142c1da.pgdg21.10+1) impish-pgdg; urgency=medium

  * Rebuild for impish-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 06 May 2022 15:06:38 +0200

pgauditlogtofile (1.5.1-1) unstable; urgency=medium

  * Team upload with new upstream version.
  * Add autopkgtest.

 -- Christoph Berg <myon@debian.org>  Fri, 06 May 2022 15:06:38 +0200

## pgauditlogtofile 1.5.1

=== debian/changelog ===
pgauditlogtofile (1.5.1-1.pgdg21.10+1) impish-pgdg; urgency=medium

  * Rebuild for impish-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 06 May 2022 15:06:38 +0200

## pgauditlogtofile 1.5.3

=== debian/changelog ===
pgauditlogtofile (1.5.3-1.pgdg90+~20220808.2216.g4c7e330) stretch-pgdg; urgency=medium

  * Rebuild for stretch-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 10.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 08 Aug 2022 19:49:55 +0200

pgauditlogtofile (1.5.3-1) unstable; urgency=medium

  * Team upload with new upstream version.

 -- Christoph Berg <myon@debian.org>  Mon, 08 Aug 2022 19:49:55 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders: Michael Banck <michael.banck@credativ.de>
 Build-Depends:
- debhelper-compat (= 13),
+ debhelper (>= 10),
  libkrb5-dev,
  postgresql-all (>= 217~),
  zlib1g-dev | libz-dev
@@ -13,6 +13,62 @@
 Vcs-Browser: https://salsa.debian.org/postgresql/pgauditlogtofile
 Vcs-Git: https://salsa.debian.org/postgresql/pgauditlogtofile.git -b master
 Homepage: https://github.com/fmbiete/pgauditlogtofile
+
+Package: postgresql-10-pgauditlogtofile
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-10,
+ postgresql-10-pgaudit
+Description: PostgreSQL pgAudit Add-On to redirect audit logs
+ pgAudit Log to File is an addon to pgAudit than will redirect audit log lines
+ to an independent file, instead of using PostgreSQL server logger.
+ .
+ This allows to have an audit file that we can easily rotate without polluting
+ server logs with those messages.
+ . 
+ Audit logs in heavily used systems can grow very fast. This extension allows
+ to automatically rotate the files. 
+
+Package: postgresql-11-pgauditlogtofile
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-11,
+ postgresql-11-pgaudit
+Description: PostgreSQL pgAudit Add-On to redirect audit logs
+ pgAudit Log to File is an addon to pgAudit than will redirect audit log lines
+ to an independent file, instead of using PostgreSQL server logger.
+ .
+ This allows to have an audit file that we can easily rotate without polluting
+ server logs with those messages.
+ . 
+ Audit logs in heavily used systems can grow very fast. This extension allows
+ to automatically rotate the files. 
+
+Package: postgresql-12-pgauditlogtofile
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-12,
+ postgresql-12-pgaudit
+Description: PostgreSQL pgAudit Add-On to redirect audit logs
+ pgAudit Log to File is an addon to pgAudit than will redirect audit log lines
+ to an independent file, instead of using PostgreSQL server logger.
+ .
+ This allows to have an audit file that we can easily rotate without polluting
+ server logs with those messages.
+ . 
+ Audit logs in heavily used systems can grow very fast. This extension allows
+ to automatically rotate the files. 
+
+Package: postgresql-13-pgauditlogtofile
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-13,
+ postgresql-13-pgaudit
+Description: PostgreSQL pgAudit Add-On to redirect audit logs
+ pgAudit Log to File is an addon to pgAudit than will redirect audit log lines
+ to an independent file, instead of using PostgreSQL server logger.
+ .
+ This allows to have an audit file that we can easily rotate without polluting
+ server logs with those messages.
+ . 
+ Audit logs in heavily used systems can grow very fast. This extension allows
+ to automatically rotate the files. 
 
 Package: postgresql-14-pgauditlogtofile
 Architecture: any

## pgauditlogtofile 1.5.4

=== debian/changelog ===
pgauditlogtofile (1.5.4-1) unstable; urgency=medium

  * Team upload with new upstream version.

 -- Christoph Berg <myon@debian.org>  Mon, 22 Aug 2022 12:10:07 +0200

## pgauditlogtofile 1.5.10

=== debian/changelog ===
pgauditlogtofile (1.5.10-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Tue, 13 Dec 2022 11:45:19 +0100

pgauditlogtofile (1.5.9.2-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Tue, 22 Nov 2022 14:20:35 +0100

pgauditlogtofile (1.5.9-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Tue, 15 Nov 2022 13:27:13 +0100

pgauditlogtofile (1.5.8-1) unstable; urgency=medium

  * New upstream version.
  * Upload for PostgreSQL 15.

 -- Christoph Berg <myon@debian.org>  Sun, 23 Oct 2022 18:38:45 +0200

pgauditlogtofile (1.5.6-1) unstable; urgency=medium

  * New upstream version.
  * Update watch file to look at github tags.

 -- Christoph Berg <myon@debian.org>  Thu, 22 Sep 2022 14:49:41 +0200

pgauditlogtofile (1.5.5-1) unstable; urgency=medium

  * New upstream version.
  * Add myself to Uploaders.

 -- Christoph Berg <myon@debian.org>  Tue, 30 Aug 2022 17:05:31 +0200

=== debian/control ===
Source: pgauditlogtofile
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders: Michael Banck <michael.banck@credativ.de>,
 Christoph Berg <myon@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 libkrb5-dev,
 postgresql-all (>= 217~),
 zlib1g-dev | libz-dev
Standards-Version: 4.6.1
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/postgresql/pgauditlogtofile
Vcs-Git: https://salsa.debian.org/postgresql/pgauditlogtofile.git -b master
Homepage: https://github.com/fmbiete/pgauditlogtofile

Package: postgresql-15-pgauditlogtofile
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-15,
 postgresql-15-pgaudit
Description: PostgreSQL pgAudit Add-On to redirect audit logs
 pgAudit Log to File is an addon to pgAudit than will redirect audit log lines
 to an independent file, instead of using PostgreSQL server logger.
 .
 This allows to have an audit file that we can easily rotate without polluting
 server logs with those messages.
 . 
 Audit logs in heavily used systems can grow very fast. This extension allows
 to automatically rotate the files.

## pgauditlogtofile 1.5.11

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,6 @@
 
 MODULE_big = pgauditlogtofile
 OBJS = pgauditlogtofile.o logtofile.o
-REGRESS = logtofile
 
 EXTENSION = pgauditlogtofile
 DATA = pgauditlogtofile--1.0.sql pgauditlogtofile--1.0--1.2.sql pgauditlogtofile--1.2--1.3.sql pgauditlogtofile--1.3--1.4.sql pgauditlogtofile--1.4--1.5.sql

=== debian/changelog ===
pgauditlogtofile (1.5.11-2) unstable; urgency=medium

  * debian/control.in, debian/control (Uploaders): Updated.

 -- Michael Banck <mbanck@debian.org>  Fri, 17 Feb 2023 14:08:03 +0100

pgauditlogtofile (1.5.11-1) unstable; urgency=medium

  * New upstream version.

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Set upstream metadata fields: Repository-Browse.

 -- Michael Banck <michael.banck@credativ.de>  Wed, 01 Feb 2023 13:52:50 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: database
 Priority: optional
 Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
-Uploaders: Michael Banck <michael.banck@credativ.de>,
+Uploaders: Michael Banck <mbanck@debian.org>,
  Christoph Berg <myon@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
@@ -25,6 +25,6 @@
  .
  This allows to have an audit file that we can easily rotate without polluting
  server logs with those messages.
- . 
+ .
  Audit logs in heavily used systems can grow very fast. This extension allows
- to automatically rotate the files. 
+ to automatically rotate the files.

## pgauditlogtofile 1.5.12

=== debian/changelog ===
pgauditlogtofile (1.5.12-2.pgdg20.04+1) focal-pgdg; urgency=medium

  * Rebuild for focal-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 12.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 18 Sep 2023 13:35:16 +0200

pgauditlogtofile (1.5.12-2) unstable; urgency=medium

  * Upload for PostgreSQL 16.
  * Use ${postgresql:Depends}.

 -- Christoph Berg <myon@debian.org>  Mon, 18 Sep 2023 13:35:16 +0200

pgauditlogtofile (1.5.12-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Tue, 18 Jul 2023 15:27:05 +0300

=== debian/control ===
--- 
+++ 
@@ -5,19 +5,89 @@
 Uploaders: Michael Banck <mbanck@debian.org>,
  Christoph Berg <myon@debian.org>,
 Build-Depends:
- debhelper-compat (= 13),
+ debhelper (>= 12),
  libkrb5-dev,
  postgresql-all (>= 217~),
  zlib1g-dev | libz-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/postgresql/pgauditlogtofile
 Vcs-Git: https://salsa.debian.org/postgresql/pgauditlogtofile.git -b master
 Homepage: https://github.com/fmbiete/pgauditlogtofile
 
+Package: postgresql-10-pgauditlogtofile
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}, ${postgresql:Depends},
+ postgresql-10-pgaudit
+Description: PostgreSQL pgAudit Add-On to redirect audit logs
+ pgAudit Log to File is an addon to pgAudit than will redirect audit log lines
+ to an independent file, instead of using PostgreSQL server logger.
+ .
+ This allows to have an audit file that we can easily rotate without polluting
+ server logs with those messages.
+ .
+ Audit logs in heavily used systems can grow very fast. This extension allows
+ to automatically rotate the files.
+
+Package: postgresql-11-pgauditlogtofile
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}, ${postgresql:Depends},
+ postgresql-11-pgaudit
+Description: PostgreSQL pgAudit Add-On to redirect audit logs
+ pgAudit Log to File is an addon to pgAudit than will redirect audit log lines
+ to an independent file, instead of using PostgreSQL server logger.
+ .
+ This allows to have an audit file that we can easily rotate without polluting
+ server logs with those messages.
+ .
+ Audit logs in heavily used systems can grow very fast. This extension allows
+ to automatically rotate the files.
+
+Package: postgresql-12-pgauditlogtofile
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}, ${postgresql:Depends},
+ postgresql-12-pgaudit
+Description: PostgreSQL pgAudit Add-On to redirect audit logs
+ pgAudit Log to File is an addon to pgAudit than will redirect audit log lines
+ to an independent file, instead of using PostgreSQL server logger.
+ .
+ This allows to have an audit file that we can easily rotate without polluting
+ server logs with those messages.
+ .
+ Audit logs in heavily used systems can grow very fast. This extension allows
+ to automatically rotate the files.
+
+Package: postgresql-13-pgauditlogtofile
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}, ${postgresql:Depends},
+ postgresql-13-pgaudit
+Description: PostgreSQL pgAudit Add-On to redirect audit logs
+ pgAudit Log to File is an addon to pgAudit than will redirect audit log lines
+ to an independent file, instead of using PostgreSQL server logger.
+ .
+ This allows to have an audit file that we can easily rotate without polluting
+ server logs with those messages.
+ .
+ Audit logs in heavily used systems can grow very fast. This extension allows
+ to automatically rotate the files.
+
+Package: postgresql-14-pgauditlogtofile
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}, ${postgresql:Depends},
+ postgresql-14-pgaudit
+Description: PostgreSQL pgAudit Add-On to redirect audit logs
+ pgAudit Log to File is an addon to pgAudit than will redirect audit log lines
+ to an independent file, instead of using PostgreSQL server logger.
+ .
+ This allows to have an audit file that we can easily rotate without polluting
+ server logs with those messages.
+ .
+ Audit logs in heavily used systems can grow very fast. This extension allows
+ to automatically rotate the files.
+
 Package: postgresql-15-pgauditlogtofile
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-15,
+Depends: ${misc:Depends}, ${shlibs:Depends}, ${postgresql:Depends},
  postgresql-15-pgaudit
 Description: PostgreSQL pgAudit Add-On to redirect audit logs
  pgAudit Log to File is an addon to pgAudit than will redirect audit log lines
@@ -28,3 +98,17 @@
  .
  Audit logs in heavily used systems can grow very fast. This extension allows
  to automatically rotate the files.
+
+Package: postgresql-16-pgauditlogtofile
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}, ${postgresql:Depends},
+ postgresql-16-pgaudit
+Description: PostgreSQL pgAudit Add-On to redirect audit logs
+ pgAudit Log to File is an addon to pgAudit than will redirect audit log lines
+ to an independent file, instead of using PostgreSQL server logger.
+ .
+ This allows to have an audit file that we can easily rotate without polluting
+ server logs with those messages.
+ .
+ Audit logs in heavily used systems can grow very fast. This extension allows
+ to automatically rotate the files.

=== debian/rules ===
--- 
+++ 
@@ -5,3 +5,6 @@
 
 override_dh_installdocs:
 	dh_installdocs --all README.*
+
+override_dh_pgxs_test:
+	# defer testing to autopkgtest

=== debian/tests/control ===
Tests: logtofile
Depends: @
Restrictions: allow-stderr

## pgauditlogtofile 1.6.1

=== debian/changelog ===
pgauditlogtofile (1.6.1-2) unstable; urgency=medium

  * Fix test for PG 17 (semicolon at statement end dropped).

 -- Christoph Berg <myon@debian.org>  Thu, 18 Jul 2024 12:58:24 +0000

pgauditlogtofile (1.6.1-1) unstable; urgency=medium

  * New upstream version 1.6.1.

 -- Christoph Berg <myon@debian.org>  Thu, 18 Jul 2024 14:11:02 +0200

## pgauditlogtofile 1.6.2

=== debian/changelog ===
pgauditlogtofile (1.6.2-1.pgdg+1) sid-pgdg; urgency=medium

  * Rebuild for sid-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Wed, 04 Sep 2024 12:35:46 +0200

pgauditlogtofile (1.6.2-1) unstable; urgency=medium

  * New upstream version 1.6.2.

 -- Christoph Berg <myon@debian.org>  Wed, 04 Sep 2024 12:35:46 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Michael Banck <mbanck@debian.org>,
  Christoph Berg <myon@debian.org>,
 Build-Depends:
- debhelper (>= 12),
+ debhelper-compat (= 13),
  libkrb5-dev,
  postgresql-all (>= 217~),
  zlib1g-dev | libz-dev
@@ -14,20 +14,6 @@
 Vcs-Browser: https://salsa.debian.org/postgresql/pgauditlogtofile
 Vcs-Git: https://salsa.debian.org/postgresql/pgauditlogtofile.git -b master
 Homepage: https://github.com/fmbiete/pgauditlogtofile
-
-Package: postgresql-10-pgauditlogtofile
-Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, ${postgresql:Depends},
- postgresql-10-pgaudit
-Description: PostgreSQL pgAudit Add-On to redirect audit logs
- pgAudit Log to File is an addon to pgAudit than will redirect audit log lines
- to an independent file, instead of using PostgreSQL server logger.
- .
- This allows to have an audit file that we can easily rotate without polluting
- server logs with those messages.
- .
- Audit logs in heavily used systems can grow very fast. This extension allows
- to automatically rotate the files.
 
 Package: postgresql-11-pgauditlogtofile
 Architecture: any

## pgauditlogtofile 1.6.3

=== debian/changelog ===
pgauditlogtofile (1.6.3-1) unstable; urgency=medium

  * New upstream version 1.6.3.

 -- Christoph Berg <myon@debian.org>  Sun, 27 Oct 2024 14:11:31 +0100

pgauditlogtofile (1.6.2-2) unstable; urgency=medium

  * Upload for PostgreSQL 17.
  * Restrict to 64-bit architectures.
  * Mark postgresql-all as <!nocheck>.
  * B-D on postgresql-PGVERSIONS-pgaudit and run tests also at build time.

 -- Christoph Berg <myon@debian.org>  Sat, 14 Sep 2024 18:57:04 +0200

## pgauditlogtofile 1.6.4

=== Makefile ===
# pgauditlogtofile/Makefile
# EL9
#PG_CFLAGS = -fanalyzer -Wall -Wdiscarded-qualifiers
# EL8
PG_CFLAGS = -Wall -Wdiscarded-qualifiers

MODULE_big = pgauditlogtofile
OBJS = pgauditlogtofile.o logtofile.o logtofile_bgw.o logtofile_connect.o logtofile_guc.o logtofile_log.o logtofile_shmem.o logtofile_autoclose.o logtofile_vars.o logtofile_filename.o

EXTENSION = pgauditlogtofile
DATA = pgauditlogtofile--1.0.sql pgauditlogtofile--1.0--1.2.sql pgauditlogtofile--1.2--1.3.sql pgauditlogtofile--1.3--1.4.sql pgauditlogtofile--1.4--1.5.sql pgauditlogtofile--1.5--1.6.sql
PGFILEDESC = "pgAuditLogToFile - An addon for pgAudit logging extension for PostgreSQL"

# PG_LDFLAGS = -lz

PG_CONFIG = pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)

=== debian/changelog ===
pgauditlogtofile (1.6.4-1) unstable; urgency=medium

  * New upstream version 1.6.4.

 -- Christoph Berg <myon@debian.org>  Sat, 21 Dec 2024 20:54:31 +0100

=== debian/control ===
Source: pgauditlogtofile
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Michael Banck <mbanck@debian.org>,
 Christoph Berg <myon@debian.org>,
Build-Depends:
 architecture-is-64-bit <!pkg.postgresql.32-bit>,
 debhelper-compat (= 13),
 libkrb5-dev,
 postgresql-all <!nocheck>,
 postgresql-server-dev-all,
 postgresql-17-pgaudit,
 zlib1g-dev | libz-dev,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/postgresql/pgauditlogtofile
Vcs-Git: https://salsa.debian.org/postgresql/pgauditlogtofile.git -b master
Homepage: https://github.com/fmbiete/pgauditlogtofile

Package: postgresql-17-pgauditlogtofile
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 postgresql-17-pgaudit,
 ${shlibs:Depends},
Description: PostgreSQL pgAudit Add-On to redirect audit logs
 pgAudit Log to File is an addon to pgAudit than will redirect audit log lines
 to an independent file, instead of using PostgreSQL server logger.
 .
 This allows to have an audit file that we can easily rotate without polluting
 server logs with those messages.
 .
 Audit logs in heavily used systems can grow very fast. This extension allows
 to automatically rotate the files.

=== debian/watch ===
version=4
opts=uversionmangle=s/_/./g \
https://github.com/fmbiete/pgauditlogtofile/tags .*/archive/refs/tags/v(.*).tar.gz

## pgauditlogtofile 1.7.1

=== debian/changelog ===
pgauditlogtofile (1.7.1-1) experimental; urgency=medium

  * New upstream version 1.7.1.

 -- Christoph Berg <myon@debian.org>  Mon, 28 Jul 2025 20:45:05 +0200

## pgauditlogtofile 1.7.2

=== Makefile ===
# pgauditlogtofile/Makefile
# EL9
PG_CFLAGS = -fanalyzer -Wall -Wdiscarded-qualifiers
# EL8
# PG_CFLAGS = -Wall -Wdiscarded-qualifiers

MODULE_big = pgauditlogtofile
OBJS = pgauditlogtofile.o logtofile.o logtofile_bgw.o logtofile_connect.o logtofile_guc.o logtofile_log.o logtofile_shmem.o logtofile_autoclose.o logtofile_vars.o logtofile_filename.o logtofile_json.o logtofile_csv.o logtofile_string_format.o

EXTENSION = pgauditlogtofile
DATA = pgauditlogtofile--1.0.sql pgauditlogtofile--1.0--1.2.sql pgauditlogtofile--1.2--1.3.sql pgauditlogtofile--1.3--1.4.sql pgauditlogtofile--1.4--1.5.sql pgauditlogtofile--1.5--1.6.sql pgauditlogtofile--1.6--1.7.sql
PGFILEDESC = "pgAuditLogToFile - An addon for pgAudit logging extension for PostgreSQL"

# PG_LDFLAGS = -lz

PG_CONFIG = pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)

=== debian/changelog ===
pgauditlogtofile (1.7.2-1) unstable; urgency=medium

  * New upstream version 1.7.2.

 -- Christoph Berg <myon@debian.org>  Fri, 29 Aug 2025 09:56:06 +0200

=== debian/watch ===
version=4
opts=uversionmangle=s/_/./g \
https://github.com/fmbiete/pgauditlogtofile/tags .*/tags/v\.?(.*).tar.gz

## pgauditlogtofile 1.7.3

=== debian/changelog ===
pgauditlogtofile (1.7.3-1.pgdg22.04+1) jammy-pgdg; urgency=medium

  * Rebuild for jammy-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 07 Oct 2025 18:23:51 +0200

pgauditlogtofile (1.7.3-1) unstable; urgency=medium

  * New upstream version 1.7.3.

 -- Christoph Berg <myon@debian.org>  Tue, 07 Oct 2025 18:23:51 +0200

pgauditlogtofile (1.7.2-2) unstable; urgency=medium

  * Upload for PostgreSQL 18. (Closes: #1117297)
  * Add ${postgresql:Breaks}.

 -- Christoph Berg <myon@debian.org>  Tue, 07 Oct 2025 17:44:59 +0200

## pgauditlogtofile 1.7.4

=== debian/changelog ===
pgauditlogtofile (1.7.4-1.pgdg25.10+1) questing-pgdg; urgency=medium

  * Rebuild for questing-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 14 Oct 2025 09:52:25 +0200

pgauditlogtofile (1.7.4-1) unstable; urgency=medium

  * New upstream version 1.7.4.

 -- Christoph Berg <myon@debian.org>  Tue, 14 Oct 2025 09:52:25 +0200

## pgauditlogtofile 1.7.5

=== Makefile ===
# pgauditlogtofile/Makefile
MODULE_big = pgauditlogtofile
OBJS = pgauditlogtofile.o logtofile.o logtofile_bgw.o logtofile_connect.o logtofile_guc.o logtofile_log.o logtofile_shmem.o logtofile_autoclose.o logtofile_vars.o logtofile_filename.o logtofile_json.o logtofile_csv.o logtofile_string_format.o

EXTENSION = pgauditlogtofile
DATA = pgauditlogtofile--1.0.sql pgauditlogtofile--1.0--1.2.sql pgauditlogtofile--1.2--1.3.sql pgauditlogtofile--1.3--1.4.sql pgauditlogtofile--1.4--1.5.sql pgauditlogtofile--1.5--1.6.sql pgauditlogtofile--1.6--1.7.sql
PGFILEDESC = "pgAuditLogToFile - An addon for pgAudit logging extension for PostgreSQL"

GCC_VERSION := $(shell gcc -dumpversion | cut -f1 -d.)

ifeq ($(shell [ $(GCC_VERSION) -ge 10 ] && echo true),true)
PG_CFLAGS += -fanalyzer -Wall -Wdiscarded-qualifiers
else
PG_CFLAGS += -Wall -Wdiscarded-qualifiers
endif

PG_CONFIG = pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)

=== debian/changelog ===
pgauditlogtofile (1.7.5-1) unstable; urgency=medium

  * New upstream version 1.7.5.

 -- Christoph Berg <myon@debian.org>  Sat, 25 Oct 2025 21:13:26 +0300

=== debian/rules ===
#!/usr/bin/make -f

export PG_VIRTUALENV_ARGS = \
  -o shared_preload_libraries=pgaudit,pgauditlogtofile \
  -o pgaudit.log=all \
  -o pgaudit.log_directory=/tmp \
  -o pgaudit.log_filename=pgauditlogtofile

%:
	dh $@ --with pgxs

override_dh_installdocs:
	dh_installdocs --all README.*

execute_after_dh_pgxs_test:
	rm -fv /tmp/pgauditlogtofile

## pgauditlogtofile 1.7.6

=== debian/changelog ===
pgauditlogtofile (1.7.6-1) unstable; urgency=medium

  * New upstream version 1.7.6.

 -- Christoph Berg <myon@debian.org>  Sat, 01 Nov 2025 12:01:42 +0100

=== debian/control ===
--- 
+++ 
@@ -6,26 +6,27 @@
  Michael Banck <mbanck@debian.org>,
  Christoph Berg <myon@debian.org>,
 Build-Depends:
+ debhelper-compat (= 13),
  architecture-is-64-bit <!pkg.postgresql.32-bit>,
- debhelper-compat (= 13),
  libkrb5-dev,
+ postgresql-18-pgaudit,
  postgresql-all <!nocheck>,
  postgresql-server-dev-all,
- postgresql-17-pgaudit,
  zlib1g-dev | libz-dev,
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/postgresql/pgauditlogtofile
 Vcs-Git: https://salsa.debian.org/postgresql/pgauditlogtofile.git -b master
 Homepage: https://github.com/fmbiete/pgauditlogtofile
 
-Package: postgresql-17-pgauditlogtofile
+Package: postgresql-18-pgauditlogtofile
 Architecture: any
 Depends:
+ postgresql-18-pgaudit,
  ${misc:Depends},
  ${postgresql:Depends},
- postgresql-17-pgaudit,
  ${shlibs:Depends},
+Breaks:
+ ${postgresql:Breaks},
 Description: PostgreSQL pgAudit Add-On to redirect audit logs
  pgAudit Log to File is an addon to pgAudit than will redirect audit log lines
  to an independent file, instead of using PostgreSQL server logger.

=== debian/tests/control ===
Tests:
 logtofile,
Depends:
 @,
Restrictions:
 allow-stderr,

## pgauditlogtofile 1.7.7

=== debian/changelog ===
pgauditlogtofile (1.7.7-2) unstable; urgency=medium

  * Test-Depend on postgresql-common-dev.

 -- Christoph Berg <myon@debian.org>  Thu, 19 Feb 2026 17:12:21 +0100

pgauditlogtofile (1.7.7-1) unstable; urgency=medium

  * New upstream version 1.7.7.

 -- Christoph Berg <myon@debian.org>  Tue, 17 Feb 2026 14:40:15 +0100

=== debian/tests/control ===
Tests:
 logtofile,
Depends:
 postgresql-common-dev,
 @,
Restrictions:
 allow-stderr,

## pgauditlogtofile 1.8.0

=== Makefile ===
# pgauditlogtofile/Makefile
MODULE_big = pgauditlogtofile
OBJS = pgauditlogtofile.o logtofile.o logtofile_bgw.o logtofile_connect.o logtofile_guc.o logtofile_log.o logtofile_shmem.o logtofile_autoclose.o logtofile_vars.o logtofile_filename.o logtofile_json.o logtofile_csv.o logtofile_string_format.o logtofile_execution_memory.o logtofile_execution_time.o logtofile_execution_hook.o

EXTENSION = pgauditlogtofile
DATA = pgauditlogtofile--1.0.sql pgauditlogtofile--1.0--1.2.sql pgauditlogtofile--1.2--1.3.sql pgauditlogtofile--1.3--1.4.sql pgauditlogtofile--1.4--1.5.sql pgauditlogtofile--1.5--1.6.sql pgauditlogtofile--1.6--1.7.sql pgauditlogtofile--1.7--1.8.sql
PGFILEDESC = "pgAuditLogToFile - An addon for pgAudit logging extension for PostgreSQL"

GCC_VERSION := $(shell gcc -dumpversion | cut -f1 -d.)

ifeq ($(shell [ $(GCC_VERSION) -ge 10 ] && echo true),true)
PG_CFLAGS += -fanalyzer -Wall -Wdiscarded-qualifiers
else
PG_CFLAGS += -Wall -Wdiscarded-qualifiers
endif

PG_CONFIG = pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)

=== debian/changelog ===
pgauditlogtofile (1.8.0-1) unstable; urgency=medium

  * New upstream version 1.8.0.

 -- Christoph Berg <myon@debian.org>  Mon, 02 Mar 2026 12:53:13 +0100
